Skip to main content
`Ctrl`+`K`

# ISPartitioningToNumbering

Takes an `IS' that represents a partitioning (the MPI rank that each local entry belongs to) and on each MPI process generates an` IS` that contains a new global node number in the new ordering for each entry

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISPartitioningToNumbering(IS part, IS *is)

Collective

## Input Parameter

- part - a partitioning as generated by `MatPartitioningApply()` or `MatPartitioningApplyND()`

## Output Parameter

- is - on each processor the index set that defines the global numbers (in the new numbering) for all the nodes currently (before the partitioning) on that processor

## Note

The resulting `IS` tells where each local entry is mapped to in a new global ordering

## See Also

Low-level Vector Communication, `IS`, `MatPartitioningCreate()`, `AOCreateBasic()`, `ISPartitioningCount()`

## Level

advanced

## Location

src/vec/is/is/utils/iscoloring.c

## Examples

src/ksp/ksp/tutorials/ex64.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages